<?php
$newContentData = [];

$newContentData['count'] = $request->get('count');
$count = intval($newContentData['count']);

for ($i = 0; $i < $count; $i++) {
    $newContentData['item_' . $i . '_udi'] = $request->get('item_' . $i . '_udi');
    $newContentData['item_' . $i . '_status'] = $request->get('item_' . $i . '_status');
    $newContentData['item_' . $i . '_comments'] = $request->get('item_' . $i . '_comments');
}

